Skip to main content
DELETE
/
v1
/
phone-numbers
/
carriers
/
{carrier_id}
Delete custom carrier
curl --request DELETE \
  --url https://api.topcalls.ai/v1/phone-numbers/carriers/{carrier_id} \
  --header 'Authorization: Bearer <token>'
{
  "title": "Insufficient Quota",
  "status": 402,
  "type": "https://api.topcalls.ai/errors/insufficient_quota",
  "detail": "You need 5 minutes but have 3.5 remaining",
  "instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "errors": [
    {
      "path": "<string>",
      "message": "<string>",
      "code": "<string>"
    }
  ],
  "details": "<string>"
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer tc_live_xxxxx

Path Parameters

carrier_id
string<uuid>
required

Carrier record ID (the id field from carrier response)

Response

Carrier deleted successfully